Skip to main content

Market Cycles

market-cycles

Chart: Market Cycles

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1closing_pricestringClosing price
2price_realized_price_ratiostringPrice/realized price ratio
3field_365_day_ma_of_z_scorestring365-day MA of z-score
4z_scorestringZ-score
5colorstringColor
6market_typestringMarket type

Example Request

https://charts.bitbo.io/api/v1/market-cycles/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/market-cycles/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/market-cycles/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"97151.387",
"2.16",
"2.09",
"2.20",
"#FF0000",
"Bull"
],
[
"2025-05-08",
"103043.546",
"2.29",
"2.09",
"2.44",
"#FF0000",
"Bull"
],
[
"2025-05-09",
"102912.250",
"2.28",
"2.10",
"2.42",
"#FF0000",
"Bull"
]
]
}